org.apache.ignite.internal.visor.verify

## Class ValidateIndexesCheckSizeIssue

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.verify.ValidateIndexesCheckSizeIssue

All Implemented Interfaces:
  Externalizable, Serializable

    public class ValidateIndexesCheckSizeIssue
    extends IgniteDataTransferObject

Issue when checking size of cache and index.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`ValidateIndexesCheckSizeIssue()` Default constructor.
`ValidateIndexesCheckSizeIssue(@Nullable String idxName, long idxSize, @Nullable Throwable t)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `error()` Return error.
`long` `indexSize()` Return index size.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidateIndexesCheckSizeIssue

    public ValidateIndexesCheckSizeIssue()

Default constructor.

#### ValidateIndexesCheckSizeIssue

    public ValidateIndexesCheckSizeIssue(@Nullable
                                         @Nullable String idxName,
                                         long idxSize,
                                         @Nullable
                                         @Nullable Throwable t)

Constructor.

Parameters:
  `idxName` - Index name.
  `idxSize` - Index size.
  `t` - Error.

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### indexSize

    public long indexSize()

Return index size.

Returns:
  Index size.

#### error

    public Throwable error()

Return error.

Returns:
  Error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021